# Class IdMapperEntry

java.lang.Object
org.snpeff.pdb.IdMapperEntry

All Implemented Interfaces:
  `Cloneable, Comparable<IdMapperEntry>`

public class IdMapperEntry extends Object implements Cloneable, Comparable<IdMapperEntry>
An entry in a ID mapping file

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`pdbAaLen`
`String`
`pdbChainId`
`String`
`proteinId`
`int`
`trAaLen`
`String`
`trId`

## Constructor Summary

Constructors
Constructor
Description
`IdMapperEntry(String proteinId, String trId)`

## Method Summary

Modifier and Type
Method
Description
`IdMapperEntry`
`cloneAndSet(String chainId, int pdbAaLen, int trAaLen)`
Clone the object and return a copy having a different chain ID
`int`
`compareTo(IdMapperEntry o)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### trId

public String trId

### proteinId

public String proteinId

### pdbChainId

public String pdbChainId

### pdbAaLen

public int pdbAaLen

### trAaLen

public int trAaLen

## Constructor Details

### IdMapperEntry

public IdMapperEntry(String proteinId, String trId)

## Method Details

### cloneAndSet

public IdMapperEntry cloneAndSet(String chainId, int pdbAaLen, int trAaLen)
Clone the object and return a copy having a different chain ID

### compareTo

public int compareTo(IdMapperEntry o)

Specified by:
  `compareTo` in interface `Comparable<IdMapperEntry>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`